import * as d3geo from 'd3-geo';

export type Point = [number, number] | GeoJSON.Position
export type Bounds = [Point, Point] | GeoJSON.Position[]

type ProjectPolygonBounds = {
  type: 'geojson',
  value: d3geo.GeoGeometryObjects,
}

type ProjectCountryBounds = {
  type: 'country',
  value: string,
}

export type ProjectBounds = ProjectPolygonBounds | ProjectCountryBounds;